Name:          gnome-backgrounds
Version:       43
Release:       1
Summary:       Desktop backgrounds packaged with the GNOME desktop
License:       CC-BY-SA-3.0
URL:           https://gitlab.gnome.org/GNOME/gnome-backgrounds
Source0:       https://download.gnome.org/sources/%{name}/43/%{name}-%{version}.tar.xz

BuildArch:     noarch
BuildRequires: gettext
BuildRequires: meson
Obsoletes:     gnome-backgrounds < %{version}

# svg pixbuf loader
Requires: (librsvg2 if gdk-pixbuf2)
# webp pixbuf loader
Requires: (webp-pixbuf-loader if gdk-pixbuf2)

%description
The gnome-backgrounds package contains the default
desktop background, known as the Adwaita background,
for the GNOME Desktop version

%package        extras
Summary:        Additional GNOME Backgrounds
Requires:       %{name} = %{version}-%{release}

%description    extras
This package contains the additional desktop backgrounds
which are packaged with the GNOME desktop.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install
install -d %{buildroot}%{_datadir}/backgrounds/images
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale

%files
%license COPYING
%doc AUTHORS NEWS README.md
%{_datadir}/gnome-background-properties/adwaita.xml
%{_datadir}/gnome-background-properties/blobs.xml
%{_datadir}/gnome-background-properties/drool.xml
%{_datadir}/gnome-background-properties/grid.xml
%{_datadir}/gnome-background-properties/licorice.xml
%{_datadir}/gnome-background-properties/truchet.xml
%{_datadir}/backgrounds/gnome/adwaita-d.webp
%{_datadir}/backgrounds/gnome/adwaita-l.webp
%{_datadir}/backgrounds/gnome/blobs-d.svg
%{_datadir}/backgrounds/gnome/blobs-l.svg
%{_datadir}/backgrounds/gnome/drool-d.svg
%{_datadir}/backgrounds/gnome/drool-l.svg
%{_datadir}/backgrounds/gnome/grid-d.webp
%{_datadir}/backgrounds/gnome/grid-l.webp
%{_datadir}/backgrounds/gnome/licorice-d.webp
%{_datadir}/backgrounds/gnome/licorice-l.webp
%{_datadir}/backgrounds/gnome/truchet-d.webp
%{_datadir}/backgrounds/gnome/truchet-l.webp

%files extras
%{_datadir}/gnome-background-properties/dune.xml
%{_datadir}/gnome-background-properties/field.xml
%{_datadir}/gnome-background-properties/oceans.xml
%{_datadir}/gnome-background-properties/pixels.xml
%{_datadir}/gnome-background-properties/symbolic.xml
%{_datadir}/gnome-background-properties/vnc.xml
%{_datadir}/gnome-background-properties/wood.xml
%{_datadir}/backgrounds/gnome/dune-d.svg
%{_datadir}/backgrounds/gnome/dune-l.svg
%{_datadir}/backgrounds/gnome/field-d.svg
%{_datadir}/backgrounds/gnome/field-l.svg
%{_datadir}/backgrounds/gnome/oceans.svg
%{_datadir}/backgrounds/gnome/pixels-d.webp
%{_datadir}/backgrounds/gnome/pixels-l.webp
%{_datadir}/backgrounds/gnome/symbolic-d.webp
%{_datadir}/backgrounds/gnome/symbolic-l.webp
%{_datadir}/backgrounds/gnome/vnc-d.webp
%{_datadir}/backgrounds/gnome/vnc-l.webp
%{_datadir}/backgrounds/gnome/wood-d.webp
%{_datadir}/backgrounds/gnome/wood-l.webp

%changelog
* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 43-1
- Update to 43

* Mon Apr 11 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 42.0-2
- Add gnome-backgrounds.yaml

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 42.0-1
- Upgrade to 42.0

* Mon May 24 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.0-1
- Upgrade to 3.38.0
- Update Version, Release, Source0, autosetup, stage %files

* Sun Jan 19 2020 daiqianwen <daiqianwen@huawei.com> - 3.30.0-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: modify spec

* Tue Dec 10 2019 fengbing <fengbing7@huawei.com> - 3.30.0-2
- Package init
